curl --request GET \
--url https://api.lava.so/v1/spend_keys \
--header 'Authorization: Bearer <token>'{
"data": [
{
"spend_key_id": "<string>",
"key_preview": "<string>",
"name": "<string>",
"status": "active",
"request_shape": "openai",
"wallet_id": "<string>",
"current_spend": "<string>",
"total_spend": "<string>",
"current_requests": 1,
"total_requests": 1,
"created_at": "2023-11-07T05:31:56Z",
"allowed_models": [
"<string>"
],
"allowed_providers": [
"<string>"
],
"spend_limit": {
"amount": "<string>",
"cycle": "daily"
},
"request_limit": {
"count": 5000000,
"cycle": "daily"
},
"rate_limit": {
"rpm": 2,
"burst": 2
},
"expires_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}List spend keys for the authenticated wallet. Requires a wallet API key (lava_wk_*).
curl --request GET \
--url https://api.lava.so/v1/spend_keys \
--header 'Authorization: Bearer <token>'{
"data": [
{
"spend_key_id": "<string>",
"key_preview": "<string>",
"name": "<string>",
"status": "active",
"request_shape": "openai",
"wallet_id": "<string>",
"current_spend": "<string>",
"total_spend": "<string>",
"current_requests": 1,
"total_requests": 1,
"created_at": "2023-11-07T05:31:56Z",
"allowed_models": [
"<string>"
],
"allowed_providers": [
"<string>"
],
"spend_limit": {
"amount": "<string>",
"cycle": "daily"
},
"request_limit": {
"count": 5000000,
"cycle": "daily"
},
"rate_limit": {
"rpm": 2,
"burst": 2
},
"expires_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}Bearer token authentication used for standard API calls. Format: 'Bearer YOUR_API_KEY'
Pagination cursor
Number of results per page
x <= 100